summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthieu Sozeau <mattam@gentoo.org>2004-08-24 14:32:56 +0000
committerMatthieu Sozeau <mattam@gentoo.org>2004-08-24 14:32:56 +0000
commiteb5ea67404324f34fc1abd221d619c746578b4b3 (patch)
treec98bd4643ac6ed86fb833bf30798dfc5ff6eb12a /eclass/findlib.eclass
parentupdate gdm dep (Manifest recommit) (diff)
downloadgentoo-2-eb5ea67404324f34fc1abd221d619c746578b4b3.tar.gz
gentoo-2-eb5ea67404324f34fc1abd221d619c746578b4b3.tar.bz2
gentoo-2-eb5ea67404324f34fc1abd221d619c746578b4b3.zip
Add '|| die' where needed
Diffstat (limited to 'eclass/findlib.eclass')
-rw-r--r--eclass/findlib.eclass8
1 files changed, 4 insertions, 4 deletions
diff --git a/eclass/findlib.eclass b/eclass/findlib.eclass
index d5e990439bc5..1b58c70a18bb 100644
--- a/eclass/findlib.eclass
+++ b/eclass/findlib.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/findlib.eclass,v 1.1 2004/08/21 18:09:03 mattam Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/findlib.eclass,v 1.2 2004/08/24 14:32:56 mattam Exp $
#
# Author : Matthieu Sozeau <mattam@gentoo.org>
#
@@ -31,16 +31,16 @@ findlib_src_preinst() {
# destdir is the ocaml sitelib
local destdir=`ocamlfind printconf destdir`
- dodir ${destdir}
+ dodir ${destdir} || die "dodir failed"
export OCAMLFIND_DESTDIR=${D}${destdir}
# stublibs style
- dodir ${destdir}/stublibs
+ dodir ${destdir}/stublibs || die "dodir failed"
export OCAMLFIND_LDCONF=ignore
}
# Install with a properly setup findlib
findlib_src_install() {
findlib_src_preinst
- make DESTDIR=${D} "$@" install
+ make DESTDIR=${D} "$@" install || die "make failed"
}